
<%
	/************************************************************@@
  * Program Name	: report_regist.jsp
  * Description		: /보고자/내문서함/임시보고함/보고자료 변경
  * Author			: 기현테크
  * Create Date		: 2010-11-27
  * History			:
@@************************************************************/
%>

<%@ page contentType="text/html; charset=UTF-8"
	import="java.net.URLEncoder"
	import="kr.co.kihyun.beans.user.HttpSSOLogin" import="java.net.*"
	import="kr.co.kihyun.util.MUtil" import="kr.co.kihyun.lang.MString"
	import="kr.co.kihyun.lang.Encoder" import="kr.co.kihyun.lang.MInteger"
	import="kr.co.kihyun.lang.MLong"
	import="kr.co.kihyun.text.html.ServletUtil"
	import="kr.co.kihyun.moumi.MoumiConfig"
	import="kr.co.kihyun.moumi.report.MReport"
	import="kr.co.kihyun.moumi.report.MReportData"
	import="kr.co.kihyun.moumi.report.stat.StaticMReport"
	import="kr.co.kihyun.moumi.doc.table.MTable"
	import="kr.co.kihyun.moumi.doc.table.item.MItem"
	import="kr.co.kihyun.moumi.report.MReportData"
	import="kr.co.kihyun.beans.totsys.report.ReportModifyManager"
	import="kr.co.kihyun.beans.totsys.report.ReportDataSet"
	import="kr.co.kihyun.text.javascript.JavaScriptUtil"
	import="kr.co.kihyun.beans.totsys.doc.table.item.ItemList"
	import="kr.co.kihyun.beans.totsys.menu.MenuBean"
	import="kr.co.kihyun.beans.user.User"
	import="kr.co.kihyun.text.html.TagFilter"
	import="kr.co.kihyun.lang.MLong" import="javax.jdo.PersistenceManager"
	import="javax.jdo.Transaction"
	import="kr.co.kihyun.beans.entity.util.*"
	import="kr.co.kihyun.beans.entity.*"%>
<%@ page import="java.util.Map.Entry"%>
<%@ page import="java.util.List"%>

<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>

<%
PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
Transaction tx = pm.currentTransaction();
try{
	/********** session내의 userId **********/
	String usID = HttpSSOLogin.getLoginID(request);
	String dtID = HttpSSOLogin.getDeptID(request);
	String dpName = HttpSSOLogin.getDeptName(request);
	String type = MString.checkNull(request.getParameter("type"));
        //28.크로스사이트 스크립트(Reflected)_CWE-80 : Add by KWON,HAN
        if (type !=null) {
            type = type.replaceAll("<","&lt");
            type = type.replaceAll(">","&gt");     
        }
        //++++++++++++++++++++++++++++++++++++++++++++++++++++++++++          
	String reportType =MString.checkNull(request.getParameter("reportType"));
	String totperInfo = clearXSS(MString.checkNull(request.getParameter("totperInfo")),"");

	/********* Parameter *********/
	Long reportID = MLong.parseLong(request.getParameter("reportID"),null);
	int rowCount = MInteger.parseInt(request.getParameter("rowCount"), -1);
	int delRowNum = MInteger.parseInt(request.getParameter("delRowNum"), 1);
	String modifyMode = clearXSS(request.getParameter("modifyMode"),"");
	//String copyForm = MString.checkNull( Encoder.toJava(request.getParameter("copyForm")) );
    String copyForm = URLDecoder.decode(MString.checkNull(request.getParameter("copyForm")), "UTF-8");


    
	String tableRows =  MString.checkNull( Encoder.toJava(request.getParameter("tableRows")) );



    String tables = MString.checkNull( Encoder.toJava(request.getParameter("tables")) );
    



    

	TotReport totReport = (TotReport)pm.getObjectById(TotReport.class, reportID);
	rowCount = rowCount <= 0 ? totReport.getRowCount()+1 : rowCount;
	if(tableRows.equals("") || tableRows==null){
		String datas = JavaScriptUtil.toCRLF(totReport.getData());

		int[] tableRowList = MReportData.getRowNumList(datas);

		for(int r=0; r<tableRowList.length; r++){
			if(r==0)
				tableRows=Integer.toString(tableRowList[r]);
			else
				tableRows=tableRows+","+Integer.toString(tableRowList[r]);
		}
	}

   
	ReportModifyManager reportModifyManager = new ReportModifyManager(request, totReport.getTotDoc(), dtID, usID, rowCount, tableRows);

	int tableType = reportModifyManager.getTableType();
	String tableTypes = reportModifyManager.getTableTypes();
	rowCount = reportModifyManager.getRowCount();
	String insertForm = reportModifyManager.getInsertForm();
	String baseInsertForm = reportModifyManager.getInsertForm();
	String putValScript = reportModifyManager.getPutValScript();
	String changeAllScript = reportModifyManager.getChangeAllScript();
	String inDataJavaScript = reportModifyManager.getInDataJavaScript();

	if(tableTypes.indexOf("1")==-1){
		tableType = MTable.STATIC;
	}else{
		tableType = MTable.DYNA;
	}

	/********** report view ***********/
	Long repDocID = totReport.getRepTotDoc() == null ? null : totReport.getRepTotDoc().getId();
	Long downDocID = totReport.getSlaveTotDoc() == null ? null : totReport.getSlaveTotDoc().getId();

	String realFileName = "";
	String viewFileName = "";
	for (String fileName : totReport.getAttachments().keySet()) {
		viewFileName += fileName + ";";
		realFileName += fileName + ";";
	}
	String comment = MString.checkNull(totReport.getNote());

	////////////////////////////////// 동적표에서만 사용 //////////////////////////////////
	String addJavaScript = "";
	String hiddenData = "";
	String insertInputCellName = "";
	
	if(tableType == MTable.DYNA){
		addJavaScript = reportModifyManager.getAddJavaScript();
		hiddenData = reportModifyManager.getHiddenData();
		insertInputCellName = reportModifyManager.getInsertInputCellName();
	}

	session.setAttribute("modifySuccTargetURI", "/totsys/repoper/mydocbox/tempbox/report_list.jsp?reportType="+reportType);
//System.out.println("/totsys/repoper/mydocbox/tempbox/report_list.jsp?reportType="+reportType);
	if(!copyForm.equals("")){
		ReportDataSet reportDataSet = new ReportDataSet();
		insertForm = reportDataSet.setForm(insertForm,copyForm);
		if(reportDataSet.getChange()==0){
%>
<script>alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.formError")%>')</script>
<%
		}else{
			inDataJavaScript="";
		}
	}
	
	/*********** append file name vlaues ***********/
	String[] realFileNameList = realFileName.split(";");
	String[] viewFileNameList = viewFileName.split(";");
	
	String boardGroupID = Category.ID_TOT_DOC_COMMENT;
	String url = clearXSS(request.getParameter("url"),"");

	if(url == null){ url = ""; }

	String boardContents = "";
	String svrFilenames = "";
	int visit = 0;

	Board totperComment = totReport.getTotDoc().getBoard();

	if(totperComment != null){
		tx.begin();
		boardContents=TagFilter.convertSpace(totperComment.getContents());
		for (Entry<String, List<Byte>> entry : totperComment.getAttachments().entrySet()) {
			svrFilenames += entry.getKey() + ";";
		}
		visit = totperComment.getVisit();
		totperComment.setVisit(visit+1);
		pm.makePersistent(totperComment);
		tx.commit();
	}
	
	// 연계수정
	String memo = MString.checkNull(totReport.getRecentHistory() == null ? null : totReport.getRecentHistory().getMemo());



    Long docId=totReport.getTotDoc().getId();
%>

<HTML>
<HEAD>
<TITLE><%=MoumiConfig.getTitle()%></TITLE>
<link rel="stylesheet" href="/totsys/common/css/text.css"
	type="text/css">
<link rel="stylesheet" href="/totsys/common/css/tabs.css"
	type="text/css">
<script src="/totsys/common/js/rollover.js"></script>
<script src='/totsys/common/js/checkNum.js'></script>
<script src="/totsys/common/js/util.js"></script>
<script src="/totsys/common/js/calendar.js"></script>
<script src="/totsys/common/js/drag.js"></script>
<script src="/totsys/common/js/popup.js"></script>
<link rel="stylesheet" href="/totsys/common/css/kecttep.css"
	type="text/css">
<link rel="stylesheet" href="/totsys/common/css/SquareButtons.css"
	type="text/css">
<script language="javascript">
			num = <%= viewFileNameList.length %>;
			usrFilenames = "<%= viewFileName %>";
			svrFilenames = "<%= realFileName %>";
			fileInfos = "";
			userFilePath = "";

			function nextblur(type) {
				var items = "<%=insertInputCellName%>";
				var count = 0;
				splitItems = items.split(",");
				
				for(i=0; i<splitItems.length; i++){ 
					if(splitItems[i] == type)
						break;
					count++;
				}
				if(splitItems.length <= count+1)
					dform[type].blur();
				else
					dform[splitItems[count+1]].focus();
			}
			
			function checkFile(Filename, Filename2){
				mkFileList(Filename, Filename2, 'add');
				num++;
			}

			function mkFileList(Filename, Filename2, size, mode) {
				var tmpSvrFilenames = "";
				var tmpUsrFilenames = "";
				var tmpFileInfos = "";
				//var nList4 = "";

				if (!mode){
					mode = "add";
				}

				subFilename = Filename;
				subFilename2 = cut_str( 1, Filename2, "/");
				subinfo = size;

				usrFilenameList = usrFilenames.split(";", num);
				svrFilenameList = svrFilenames.split(";", num);
				fileInfoList = fileInfos.split(";", num);

				if (mode == "add") {
					if (svrFilenames && usrFilenames) {
						for (i=0; i<num; i++) {
							tmpSvrFilenames += svrFilenameList[i] + ";";
							tmpUsrFilenames += usrFilenameList[i] + ";";
							tmpFileInfos += fileInfoList[i] + ";";
						}
						tmpSvrFilenames += subFilename;
						tmpUsrFilenames += subFilename2;
						tmpFileInfos += subinfo;
					} else {
						tmpSvrFilenames = subFilename;
						tmpUsrFilenames = subFilename2;
						tmpFileInfos = subinfo;
					}
				} else {
					for (i=0; i<num; i++) {
						if (subFilename == svrFilenameList[i])
							continue;
						else {
							tmpSvrFilenames += svrFilenameList[i] + ";";
							tmpUsrFilenames += usrFilenameList[i] + ";";
							tmpFileInfos += fileInfoList[i] + ";";
						}
					}
				}

				usrFilenames = tmpUsrFilenames;
				svrFilenames = tmpSvrFilenames;
				fileInfos = tmpFileInfos;
			}

			function cut_str( state, value, separator ) {
				if (!separator){
					separator = ".";
				}

				if ( state == 0 ){
					return value.substring(0, value.lastIndexOf(separator));
				}

				if ( state == 1 ){
					return value.substring(value.lastIndexOf(separator)+1, value.length );
				}
			}

			function delFrm() {
				var list = document.subUpload.delFrm.fileList;
				var a = list.options[list.selectedIndex].value;
				var no = -1;

				usrFilenameList = usrFilenames.split(";", num);
				svrFilenameList = svrFilenames.split(";", num);

				for(i=0; i<num; i++) {
					if (a == svrFilenameList[i]) {
						no = i;
						mkFileList(svrFilenameList[i], usrFilenameList[i], 0,"delete");
					}
				}

				if (no != -1) {
					if (num > 0){
						num--;
					}

					document.subUpload.delFrm.submit();
				}
			}
			<%= putValScript %>
			function changeAll(){
				<%= changeAllScript %>
			}

			function insertData(){
				<%= inDataJavaScript.toString() %>
			}

			/********** userfile list와 serverfile list를 배열로 저장 **********/
			function viewFrm(num) {
				name = "fileUp"+num;
				eval(name + ".style.visibility = \"visible\";" );
				eval(name + ".style.display    = \"block\";" );
				//dform.upFile.focus();
			}

			function deptCheck(){
				var url = '/totsys/common/web/dept_check/popup_reportsend.jsp?deptID=<%= dtID %>&deptName=<%= dpName %>&repDocID=<%= repDocID %>';
				var target = 'deptCheck';
				var width = 385;
				//var height = 221;
				var height = 271;
				var align = 'center';
				var valign = 'middle';
				var scroll = 'no';
				var resize = 'no';
				<%if (changeAllScript.length() > 0) {%>
					changeAll();
				<%}%>

				changeAll();

				/*document.dform.usrFilenames.value = usrFilenames;
				document.dform.svrFilenames.value = svrFilenames;*/

				if(document.dform.svrFilenames.value.length != 0)
					dform.upFile.value = "1";

				<% if(totReport.getTotDoc().getAppendType() == TotDocAppendType.FILE) { %>
					if(subUpload.num <= 0) {
						if(!confirm("<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.notRelationDocAdd")%>"))
							return;
					}
				<% } %>
				dform.submit();

//				var farwindow = null;
//				farwindow = getOpener(url, target, width, height, align, valign, scroll, resize);
//				farwindow.focus();

			}

			function totApply(){
				totApplyForm.submit();
			}

			function ShowCopy(){
				window.open('../tempbox/popup_copy_form.jsp?reportType=<%=reportType%>','makecopy','width=950,height=645,scrollbars=no,resizable=no');
			}

			//동적 표에서만 사용
			function prssForm(){
				if(confirm("<%= MoumiConfig.getMessageBundle().getString("moumi.message.popup.collectInit") %>")){
					prssChange.submit();
				}
			}
			
			function insertData(){
				<%= inDataJavaScript %>
			}

			function lineAdd(){
				<%= addJavaScript %>
				modifyForm.rowCount.value='<%= (rowCount+2) %>';
				modifyForm.modifyMode.value='addRow';
				modifyForm.submit();
			}

			function lineAddNum(){
				var tmp = document.modifyForm.addRowNum.value;
				var tr = document.modifyForm.tableRows.value;
				var st = document.modifyForm.tables.value;
				if(tmp == ''){
					alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.addLine")%>');
					modifyForm.addRowNum.focus();
					return;
				}else if(isNaN(tmp)){
					alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.inputNumber")%>');
					document.modifyForm.addRowNum.value = '';
					modifyForm.delRowNum.focus();
					return;
				}else if(1 > parseInt(tmp)){
					alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.oneMore")%>');
					document.modifyForm.addRowNum.value = '';
					modifyForm.delRowNum.focus();
					return;
				}

				var trlist = tr.split(",");
				trlist[parseInt(st)-1] = parseInt(tmp)+parseInt(trlist[parseInt(st)-1]);

				for(i=0; i<trlist.length; i++){
					if(i==0) tr=trlist[i];
					else tr=tr+","+trlist[i];
				}

				var num = parseInt(tmp)+parseInt('<%= (rowCount) %>');

				<%= addJavaScript %>
				modifyForm.rowCount.value=num;
				modifyForm.modifyMode.value='addRow';
				modifyForm.tableRows.value=tr;
				modifyForm.submit();
			}

			function lineDel(){
				var tmp = document.modifyForm.delRowNum.value;
				var tr = document.modifyForm.tableRows.value;
				var st = document.modifyForm.tables.value;
				var trlist = tr.split(",");

				if(tmp == ''){
					alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.deleteLine")%>');
					modifyForm.delRowNum.focus();
					return;
				}else if(isNaN(tmp)){
					alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.inputNumber")%>');
					document.modifyForm.delRowNum.value = '';
					modifyForm.delRowNum.focus();
					return;
				}else if(1 > parseInt(tmp)){
					alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.oneMore")%>');
					document.modifyForm.delRowNum.value = '';
					modifyForm.delRowNum.focus();
					return;
				}else if(parseInt(tmp) > parseInt(trlist[parseInt(st)-1])){
					alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.lessLine")%>');
					document.modifyForm.delRowNum.value = '';
					modifyForm.delRowNum.focus();
					return;
				}else if("<%=rowCount%>" <= 1){
					alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.notDeleteLine")%>');
					document.modifyForm.delRowNum.value = '';
					modifyForm.delRowNum.focus();
					return;
				}	

				trlist[parseInt(st)-1] = parseInt(trlist[parseInt(st)-1])-1;

				for(i=0; i<trlist.length; i++){
					if(i==0) tr=trlist[i];
					else tr=tr+","+trlist[i];
				}

				<%= addJavaScript %>
				modifyForm.rowCount.value='<%= (rowCount-1) %>';
				modifyForm.modifyMode.value='delRow';
				modifyForm.tableRows.value=tr;
				modifyForm.submit();
			}

			function checkReport(){
				if(1 > dform.rowCount.value){
					alert('<%= MoumiConfig.getMessageBundle().getString("moumi.message.popup.notSubmitDoc") %>');
					return;
				}
				openPopup('./popup_dept_check.jsp?deptID=<%= dtID %>&deptName=<%= dpName %>', '350', '290', 'no');
			}

			function NotDocGO(){
				var bool = confirm("<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.notTrans")%>");
				if(bool){
					NotDoc.submit();
				}else return;
			}
		</script>
</HEAD>

<body style="padding: 0; margin: 0;" onload="insertData();scrollObjectContent('formDiv');<%if((!MString.isNull(boardContents) || !MString.isNull(svrFilenames)) && !MString.isNull(totperInfo)){%>totperInfo('<%=totReport.getTotDoc().getId() %>','<%= boardGroupID%>');<%}%>">


<div id="header">
<ul id="primary">
	<%if(!"returndoc".equals(type)){%>
	<li><a
		href="./report_view.jsp?reportID=<%=reportID%>&reportType=<%=reportType %>"><%= MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.doc") %><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.submit")%></a></li>
	<%}else{%>
<!--	<li><a
		href="/totsys/repoper/mydocbox/returnbox/report_view.jsp?reportID=<%=reportID%>"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.information")%></a></li>-->
	<%}%>
	<li><span class="kecttep_menu_focous"><%= MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.doc") %><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.modify")%></span></li>
</ul>
<%-- <form name="inputExcel" method="post" action="./report_modify.jsp"> 

    <input
	type="hidden" name="comment" value="<%= comment %>"> <input
	type="hidden" name="reportID" value="<%= reportID %>"> <input
	type="hidden" name="rowCount" value="<%= rowCount %>"> <input
	type="hidden" name="modifyMode" value="addRow"> <input
	type="hidden" name="copyForm" value=""> <%= hiddenData %>
</form>
--%>

<form name="inputExcel" method="post" action="./temp_report_modify.jsp">
<%-- <form name="inputExcel" method="post" action="../tempbox/report_regist.jsp"> --%>

<input type="hidden" name="comment" value="<%= comment %>"> <input
	type="hidden" name="reportID" value="<%= reportID %>"> <input
	type="hidden" name="rowCount" value="<%= rowCount %>">
<input type="hidden" name="reportType" value="<%= reportType %>">
 <input
	type="hidden" name="copyForm" value=""> <input type="hidden"
	name="tables" value="1"> <input type="hidden"
	name="tableRows" value="<%= tableRows %>"> <%= hiddenData %></form>


<form name="prssChange" method="post"
	action="/servlet/kr.co.kihyun.beans.totsys.repoper.HttpPrssUpdate">
<input type="hidden" name="reportID" value="<%=reportID%>"> <input
	type="hidden" name="prss" value="<%=MReport.ACCEPT_LIST%>"> <input
	type="hidden" name="totRange"
	value="<%=totReport.getTotDoc().getTotRange().ordinal()%>"> <input
	type="hidden" name="repDocID" value=""> <input type="hidden"
	name="userID" value=""></form>
</div>
<!----  topbar  버튼 끝---->
<div id="main">
<div id="contents">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr valign="middle" class="toolbar">
		<td height="40" align="left" valign="top">
		<table border="0" cellpadding="0" cellspacing="0">
			<tr>
              <!--
                <td><a class="simplebutton" href="#" onclick="NotDocGO();"><span
					class="no"><%= MoumiConfig.getMessageBundle().getString("moumi.message.button_small.not") %></span></a>
				</td>
              -->
				<td class="kecttep_button_td">
                    <!--//<a  href="#" onclick="window.open('../returnbox/popup_rep_transfer.jsp?reportID=<%=reportID%>&boxName=returnbox&hideUser=false','','width=607, height=541,toolbar=no, directories=no, status=no, menubar=no, resizable=no');"><img src="/totsys/common/images/bt_damdang.gif"  border="0" align="absmiddle"></a>//-->
                  <a  href="#" onclick="window.open('../returnbox/popup_rep_transfer10.jsp?reportID=<%=reportID%>&boxName=returnbox&hideUser=false','','width=607, height=700,toolbar=no, directories=no, status=no, menubar=no, resizable=no');"><img src="/totsys/common/images/bt_damdang.gif"  border="0" align="absmiddle"></a>
				</td>
				<%if(!"returndoc".equals(type)){%>
				<td class="kecttep_button_td"><a href="#"
					onclick="javascript:prssForm();"><img src="/totsys/common/images/bt_remove.gif" border="0" align="absmiddle"></a>
				</td>
				<%}%>
				<%if(!MString.isNull(boardContents) || !MString.isNull(svrFilenames)){%>
				<td class="kecttep_button_td"><a class="simplebutton" href="#"
					onclick="totperInfo('<%=totReport.getTotDoc().getId() %>','<%= boardGroupID%>');"><span
					class="info"><font color="red"><strong><%= MoumiConfig.getMessageBundle().getString("moumi.message.button_small.totperInfo") %></strong></font></span></a>
				</td>
				<%}%>
			</tr>
		</table>
		</td>
	</tr>
<tr><td height="10">&nbsp;</td></tr>

	<!--tr>
					<td height="10"><font color="red">※ <%= MoumiConfig.getMessageBundle().getString("moumi.message.popup.timeOut") %></font></td>
				</tr-->

	<!------------------------------- 집계자 정보 시작 ------------------------------->
	<jsp:include page="/totsys/common/inc/totper/totper.jsp" flush="true">
		<jsp:param name="docID"
			value='<%= totReport.getTotDoc().getId() %>' />
	</jsp:include>
	<!------------------------------- 집계자 정보 끝 --------------------------------->
	<tr>
<td>
	
<table border="1px" bordercolor="#dedcec" class="kecttep_list_table2" width="100%" cellpadding="0" cellspacing="0" >
	<tr>
		<td width="130" class="kecttep_tdmenu" style="padding-left: 20px"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.executionCode")%></td>
		<td class="kecttep_top2_graytd" style="padding-left: 15;">	<%= totReport.getTotDoc().getExecutionCode() %></td>
	</tr>
</table>
  <% if(totReport.getTotDoc().getAppendType() != TotDocAppendType.FILE) { %>
	<tr>
		<td valign="top" >
		<table border="0" cellpadding="0" cellspacing="0" style="margin:10 0 10 0">
			<%if(tableType == MTable.DYNA){%>
			<form name="modifyForm" method="post"
				action="/totsys/repoper/mydocbox/tempbox/report_modify_temp.jsp">
			<input type="hidden" name="type" value="<%= type %>"> <input
				type="hidden" name="comment" value="<%= comment %>"> <input
				type="hidden" name="reportID" value="<%= reportID %>"> <input
				type="hidden" name="rowCount" value="<%= rowCount %>"> <input
				type="hidden" name="reportType" value="<%= reportType %>"> <input
				type="hidden" name="inForm"
				value='<%= URLEncoder.encode(baseInsertForm, "UTF-8") %>'> <input
				type="hidden" name="tableType" value="<%= tableType %>"> <input
				type="hidden" name="modifyMode" value="addRow"> <input
				type="hidden" name="tableRows" value="<%= tableRows%>"> <%= hiddenData %>
			<tr>
				<td width="80" align="right"><select name="tables">
					<% String[] tableDiv = tableTypes.split(",");
									for(int i=0; i<tableDiv.length; i++){
										if(tableDiv[i].equals("1")){%>
					<option value="<%=i+1%>"><%=i+1%></option>
					<%}
									}%>
				</select><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.numTable")%></td>
				<td width="5">&nbsp;</td>
				<td width="62" align="right"  valign="top" style="background-image:url('/totsys/common/images/bt_line_addbg.gif');background-repeat:no-repeat">
                    <input	name="addRowNum" type="text" size="3" maxlength="3"	class="inputtxt"></td>
				<td width="47" valign="top"><img onclick="lineAddNum();"
					style="cursor: hand;" src="/totsys/common/images/bt_line_add.gif"
					width="47" height="24" border="0"></td>
				<td width="5">&nbsp;</td>
				<td width="62" align="right" valign="top" style="background-image:url('/totsys/common/images/bt_line_delbg.gif');background-repeat:no-repeat">
                    <input
					name="delRowNum" type="text" size="3" maxlength="3"
					class="inputtxt"></td>
				<td width="47" valign="top"><img onclick="lineDel();" style="cursor: hand;"
					src="/totsys/common/images/bt_line_del.gif" width="75" height="24"
					border="0"></td>
                <td width="5">&nbsp;</td>


                <td width="90" valign="top" >
  <a href="/totsys/common/inc/documents/report/report_view_excel2.jsp?reportID=<%=reportID%>&docId=<%=docId%>" target="_parent">
    <img src="/totsys/common/images/bt_excel.gif"  border="0" align="absmiddle">  </a>
</td>
<td width="5">&nbsp;</td>

<td width="90" valign="top" >
  <a href="#" onClick='ShowCopy();'>
    <img src="/totsys/common/images/bt_copytable.gif" border="0" align="absmiddle"> </a>
</td>
	<td width="*">&nbsp;</td>
			</tr>
			</form>
		</table>
		</td>
	</tr>
    <%}%>

	<tr>
		<td nowrap height="2"></td>
	</tr>
	<%}%>
	<jsp:include page="/totsys/common/inc/memo/reReport_Contents.jsp"
		flush="true">
		<jsp:param name="reportID" value="<%= reportID %>" />
		<jsp:param name="groupID" value="555" />
		<jsp:param name="prss" value="<%=MReport.RETURN%>" />
	</jsp:include>
	<tr>
		<td valign="top"
			style="padding-top: 5; padding-bottom: 10; ">
		<div id="formDiv"
			style="padding-top:17; width: <%=session.getAttribute("formWidth") %>;overflow-x: auto;">
		<form name="dform" method="post"
			action="/servlet/kr.co.kihyun.beans.totsys.report.ApproveReportModifyer"
			enctype="multipart/form-data"><input type="hidden"
			name="reportID" value="<%= reportID %>"> <input type="hidden"
			name="rowCount" value="<%= rowCount %>"> <input type="hidden"
			name="inForm"
			value='<%= URLEncoder.encode(baseInsertForm, "UTF-8") %>'> <input
			type="hidden" name="tableType" value="<%= tableType %>"> <input
			type="hidden" name="oldRealFileName" value="<%=realFileName%>">
		<input type="hidden" name="oldViewFileName" value="<%=viewFileName%>">
		<input type="hidden" name="repDocID" value="repDocID"> <input
			type="hidden" name="tableTypes" value="<%= tableTypes %>"> <input
			type="hidden" name="tableRows" value="<%= tableRows%>"> <input
			type="hidden" name="downDocID" value="<%=downDocID %>"> <input
			type="hidden" name="modify" value="modify"> <input
			type="hidden" name="name" value=""> <input type="hidden"
			name="tel" value=""> <INPUT type="hidden" name="usrFilenames"
			value="<%= viewFileName %>"> <INPUT type="hidden"
			name="svrFilenames" value="<%= realFileName %>"> <INPUT
			type="hidden" name="fileCount"
			value="<%=MString.isNull(realFileNameList[0]) == true? 0: realFileNameList.length%>">
		<INPUT type="hidden" name="fileInfos"> <input type="hidden"
			name="isRecog" value="temp">
		<!-------------------------------------------- 보고 폼 시작 -------------------------------------------->
		<% out.println(insertForm); %>
		<!-------------------------------------------- 보고 폼 끝   -------------------------------------------->
			<hr />
			<table  border="1px" bordercolor="#dedcec" class="kecttep_list_table2" width="100%" cellpadding="0" cellspacing="0" style="margin-top:10px">
				<tr>
					<td width="130" nowrap class="kecttep_tdmenu" style="padding-left: 20px"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.acceptanceCode")%></td>
					<td class="kecttep_top2_graytd" style="padding: 5 15 5 15;">
						<%= HttpSSOLogin.getDeptName(request) %>_
						<input name="acptNum" type="text" class="inputtxt" style="width: 60px" value="<%= totReport.getAcceptanceCode() == null || totReport.getAcceptanceCode().getNumber() == null ? "" : MString.checkNull(totReport.getAcceptanceCode().getNumber().toString()) %>">
                                                <br>
                                                <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.acceptexplanation")%></td>
				</tr>
			</table>

		<%if(totReport.getSlaveTotDoc() != null){%>
		<div>
			<span id="downDocComment" style="display: none;"> <textarea
				name="memo" style="width: 100%; height: 30px;"><%= memo.trim() %></textarea>
			</span>
		</div>
		<%}%>
		<input type=hidden name="upFile">
		</form>
		</div>
		</td>
	</tr>

	<tr>
		<td>
		
		<table border="2px" bordercolor="#dedcec" class="kecttep_list_table2" width="100%" cellpadding="0" cellspacing="0" style="margin-top:10px">
			<tr>
				<%if(totReport.getSlaveTotDoc() != null){%>
				<td height="33" style="width: 14"><img
					src="/totsys/common/images/ico_1.gif"></td>
				<td class="kecttep_title" style="padding-left: 5" align="left">[<%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.subDoc")%>
				<%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.modify")%><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.reason")%>]</td>
				<td class="kecttep_div_show"><span id="downDocCommentShow"><a
					href="#" class="textbutton"
					onclick="listView('downDocComment','downDocCommentShow','downDocCommentNone');"><%= MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.input") %></a></span><span
					id="downDocCommentNone" style="display: none;"><a href="#"
					class="textbutton"
					onclick="listView('downDocComment','downDocCommentShow','downDocCommentNone');"><%= MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.hidden") %></a></span></td>
				<%}%>
			</tr>
		</table>
		</td>
	</tr>

	<tr>
		<td>
		<!--------------------------------- 첨부파일 -------------------------->
		  <table width="100%" border="0" cellpadding="0" cellspacing="0"  >
            <tr> 
              <td height="25" style="width: 14"><img src="/totsys/common/images/ico_3.gif"></td>
              <td class="kecttep_list_title" style="padding-left: 5" align="left">[<%= MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.add") %><%= MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.file") %>]</td>
              <!--td class="kecttep_div_show"><span id="memoShow"><a href="#" class="textbutton" onclick="listView('repopermemo','memoShow','memoNone');"><%= MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.input") %></a></span><span id="memoNone" style="display:none;"><a href="#" class="textbutton" onclick="listView('repopermemo','memoShow','memoNone');"><%= MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.hidden") %></a></span></td-->
            </tr>
            <tr bgcolor="6a649f"> 
              <td height="2" colspan="2" ></td>
            </tr>
          </table>
		</td>
	</tr>

	<tr>
		<td><span id="repopermemo">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
			<!--tr>
							<td>
								<textarea name="comment" style="width: 720; height: 40;"><%= comment %></textarea>
							</td>
						</tr-->
			<tr>
				<td><iframe
					src="/totsys/common/inc/board/doc/write_file_upload.jsp?pageFlag=2&boardGroupID=<%= Category.ID_TOT_DOC_COMMENT %>&execMode=init&mode=repoper&reportID=<%= totReport.getId() %>"
					name='subUpload' width="720" frameborder=0 scrolling=no
					marginheight=0 marginwidth=2 height="80"></iframe></td>
			</tr>
		</table>
		</span></td>
	</tr>
<tr><td>&nbsp;</td></tr>
	<tr class="toolbar">
		<td height="40" align="center" valign="top">
		<table border="0" cellspacing="0" cellpadding="0" align="left">
			<tr >
				<td width="3"></td>
				<%if (changeAllScript.length() > 0) {%>
				<td><a href="#"onClick='changeAll();changeAll();changeAll();changeAll();'><img src="/totsys/common/images/bt_cal.gif" border="0"></a></td>
				<td width="3"></td>
				<%}%>
				<td><a href="#"onClick="changeAll();changeAll();changeAll();changeAll();return deptCheck(0);"><img src="/totsys/common/images/bt_reportsend.gif" border="0"></a></td>
			</tr>
			<form name="totApplyForm" method="post"
				action="./tot_report_modify.jsp"><input type="hidden"
				name="reportID" value="<%= reportID %>"> <input
				type="hidden" name="downDocID" value="<%= downDocID %>"> <input
				type="hidden" name="rowCount" value="<%= rowCount %>"> <input
				type="hidden" name="delRowNum" value="<%= delRowNum %>"> <input
				type="hidden" name="modifyMode" value="<%= modifyMode %>"></form>

			<form name="NotDoc" method="post"
				action="/servlet/kr.co.kihyun.beans.totsys.repoper.HttpNotUpdate">
			<input type="hidden" name="reportID" value="<%= reportID %>">
			</form>
		</table>
		</td>
	</tr>
</table>
</div>
</div>
</BODY>
<div id="SetWin"
	style="position: absolute; Visibility: hidden; width: 100px; height: 100px; background: silver; border: 1px #333333 solid; line-height: 1.4em; padding: 3px 3px"></div>
</HTML>
<%
}catch(Exception ex){
	if(tx.isActive())
		tx.rollback();
	ex.printStackTrace();
	out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
}finally{
	if(tx.isActive())
		tx.rollback();
	pm.close();
}
%>
